%define pkgname activeresource
Summary:	Think Active Record for web resources
Name:		ruby-%{pkgname}
Version:	2.3.16
Release:	1
License:	Ruby-alike
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	2af4f9dd5a65dc1abef99eb7e0bfff68
Group:		Development/Languages
URL:		http://rubyforge.org/projects/activeresource/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Obsoletes:	ruby-ActiveResource
Provides:	ruby-ActiveResource
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Wraps web resources in model classes that can be manipulated through
XML over REST.

%package rdoc
Summary:	Documentation files for ActiveResource
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActiveResource.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{ruby_rubylibdir}/active_resource.rb
%{ruby_rubylibdir}/activeresource.rb
%{ruby_rubylibdir}/active_resource

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveResource
%changelog
* Fri Feb 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activeresource.git;a=log;h=master

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> 425b56d
- updated to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> c1e7b47
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 94152d5
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> e72988a
- 2.3.11

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 3ef0bd2
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> c2b7165
- up to 2.3.5

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> d683d9c
- P:ruby-ActiveResource

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 60dab62
- renamed ruby-ActiveResource -> ruby-activeresource

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> b858a1e
- update to 2.0.5

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> ec20e5c
- add README to doc

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 6f60d6c
- new

